Subject: [PATCH v2 2/2] dmaengine: Add hisilicon k3 DMA engine driver

From: [email-masked] (Vinod Koul)
Date: Sun, 25 Aug 2013 14:44:35 +0530

On Wed, Aug 21, 2013 at 04:02:03PM +0800, zhangfei gao wrote:
> Excuse me for my bad English.
> I am really lost and don't know what to do now.
> Are you concern:
> 1. Why need else in case DMA_PAUSE, no need?
> 2. device_tx_status is not called in audio and directly
> dmaengine_pause -> dmaengine_resume?
> 3. ?
> 
> Besides, where I should take example of amba-pl08x.c, pl08x_control,
> case DMA_PAUSE & DMA_RESUME or pl08x_dma_tx_status?
> 
> Some difference I see is k3dma.c only has one tasklet for all channels,
> The tasklet will check pending channel and alloc physical channel.
> While the issue_pending does not really alloc physical channel to
> support more request then physical channel.
> So when suspend we have to consider remove the channel from chan_pending.
> 
> When trying use virt-dma, have study drivers/dma/sa11x0-dma.c as good reference.
> 
> Sorry for my bad understanding.
No issues...

I think i am okay with else part looking at the driver again.

Can you resend by rebasing on my next and fxing any other issues

~Vinod
--